BEGIN {
	indicateur = 0;
}

/^GSL_VAR const gsl_rng_type \*/ {
	if (toupper(substr($4, 2, length($4) - 2)) != "GSL_RNG_DEFAULT")
	{
		if (indicateur == 1)
		{
			printf("else ");
		}
		else
		{
			indicateur = 1;
		}

		printf("if (strcmp(requete, \"%s\") == 0)\n{\n", \
			   toupper(substr($4, 10, length($4) - 10)));
		printf("    (*s_etat_processus).type_generateur_aleatoire = %s;\n", \
			   substr($4, 2, length($4) - 2));
		printf("}\n");
	}
}

END {
	printf("else\n{\n");
	printf("    free(requete);\n");
	printf("    (*s_etat_processus).erreur_execution = ");
	printf("d_ex_argument_invalide;\n");
	printf("    liberation(s_etat_processus, s_objet_argument);\n");
	printf("    return;\n");
	printf("}\n");
}

