/*
================================================================================
  RPL/2 (R) version 4.1.21
  Copyright (C) 1989-2015 Dr. BERTRAND Jol

  This file is part of RPL/2.

  RPL/2 is free software; you can redistribute it and/or modify it
  under the terms of the CeCILL V2 License as published by the french
  CEA, CNRS and INRIA.
 
  RPL/2 is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the CeCILL V2 License
  for more details.
 
  You should have received a copy of the CeCILL License
  along with RPL/2. If not, write to info@cecill.info.
================================================================================
*/


#ifndef INCLUSION_TEX
#define INCLUSION_TEX

#ifndef OS2
#define ds_tex_commande			"%s/bin/rpliconv " \
								"`%s/bin/rplfile -m %s/share/rplfiles " \
								" -i %s | %s/bin/rplawk '{ print $3; }' " \
								"| %s/bin/rplawk -F= '{ if ($2 != \"\") " \
								"printf(\"-f %%s\", $2); }'` -t utf-8 %s " \
								"> %s 2> /dev/null; " \
								"(cd %s; echo x | latex %s 1> /dev/null " \
								"2> /dev/null); "\
								"dvips %s -o %s 1> /dev/null 2> /dev/null"
#else
#define ds_tex_commande			BOURNE_SHELL " -c \"%s/bin/rpliconv " \
								"`%s/bin/rplfile -m %s/share/rplfiles " \
								" -i %s | %s/bin/rplawk '{ print $3; }' " \
								"| %s/bin/rplawk -F= '{ if ($2 != \\\"\\\") " \
								"printf(\\\"-f %%s\\\", $2); }'` -t utf-8 " \
								"%s > %s 2> /dev/null\"; " \
								BOURNE_SHELL " -c \"" \
								"(cd %s; echo x | latex %s 1> /dev/null " \
								"2> /dev/null)\"; " \
								BOURNE_SHELL " -c \"dvips %s -o %s " \
								"1> /dev/null 2> /dev/null\""
#endif

#define ds_tex_postscript		"gv %s"

#define ds_tex_classe_document	"article"
#define ds_tex_taille_corps		"10pt"
#define ds_tex_encodage_1		"T1"
#define ds_tex_encodage_2		"utf8"
#define ds_tex_encodage_3		"UTF-8"
#define ds_tex_langue			"frenchb"
#define ds_tex_style			"plain"

#define ds_tex_separateur		'/'

#endif

// vim: ts=4
